import React, { useMemo } from 'react';
import { scaleSqrt, max } from 'd3';
import { Marks } from './Marks';

const sizeValue = d => d.total;
const maxRadius = 15;

export const BubbleMap = ({ migrants, fullMigrants, worldAtlas, xAxisTickFormat }) => {
  
  const sizeScale = useMemo(() => scaleSqrt()
    .domain([0, max(fullMigrants, sizeValue)])
    .range([0, maxRadius]), [fullMigrants, sizeValue, maxRadius]);

  return (
    <Marks
      worldAtlas={worldAtlas}
      migrants={migrants}
      sizeScale={sizeScale}
      sizeValue={sizeValue}
      xAxisTickFormat={xAxisTickFormat}
    />
  );
};
