import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvURL =
  'https://gist.githubusercontent.com/curran/a9656d711a8ad31d812b8f9963ac441c/raw/267eac8b97d161c479d950ffad3ddd5ce2d1f370/MissingMigrants-Global-2019-10-08T09-47-14-subset.csv';

export const useMigrants = () => {
  const [data, setData] = useState(null);

  const row = (d) => {
    const coords = d['Location Coordinates'].split(', ');
    d.time = new Date(d['Reported Date']);
    d.total = parseFloat(d['Total Dead and Missing']);
    d.lat = parseFloat(coords[0]);
    d.lng = parseFloat(coords[1]);
    return d;
  };

  useEffect(() => {
    csv(csvURL, row).then(setData);
  }, []);
  return data;
};